## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     google-cloud-dataproc-metastore
%global         reponame    google-cloud-python

Name:           python-%{srcname}
Version:        1.13.0
Release:        %autorelease
Summary:        Python SDK for Google Cloud Dataproc Metastore

License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python
Source0:        %{url}/archive/refs/tags/%{srcname}-v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Dataproc Metastore is a fully managed, highly available, autoscaled,
autohealing, OSS-native metastore service that greatly simplifies technical
metadata management. Dataproc Metastore service is based on Apache Hive
metastore and serves as a critical component towards enterprise data lakes.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
# Upstream buries the package into a subdirectory. 😭
%setup -c -T
tar xzf %{SOURCE0} --strip-components=3 \
    %{reponame}-%{srcname}-v%{version}/packages/%{srcname}

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary scripts.
rm -f %{buildroot}%{_bindir}/fixup*


%check
%pyproject_check_import -e google.cloud.metastore*

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.rst SECURITY.md
%{python3_sitelib}/google_cloud_dataproc_metastore-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Mon Oct 02 2023 Packit <hello@packit.dev> - 1.13.0-1
- [packit] 1.13.0 upstream release

* Tue Sep 19 2023 Major Hayden <major@redhat.com> - 1.12.1-2
- Add packit config

* Tue Sep 19 2023 Major Hayden <major@redhat.com> - 1.12.1-1
- Update to 1.12.1

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 1.12.0-1
- Update to 1.12.0 rhbz#2219902

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1.11.0-2
- Rebuilt for Python 3.12

* Mon Apr 17 2023 Major Hayden <major@redhat.com> - 1.11.0-1
- Update to 1.11.0 rhbz#2187280

* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 1.10.1-1
- Update to 1.10.1 rhbz#2182137

* Fri Mar 03 2023 Major Hayden <major@redhat.com> - 1.10.0-1
- Update to 1.10.0 rhbz#2175031

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 1.9.1-1
- Update to 1.9.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 1.6.3-1
- Update to 1.6.3 rhbz#2131952

* Thu Aug 18 2022 Major Hayden <major@redhat.com> - 1.6.1-1
- Update to 1.6.1 rhbz#2119208

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 1.6.0-1
- Update to 1.6.0 rhbz#2108127

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 1.5.1-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 1.5.1-1
- Update to 1.5.1

* Wed Mar 23 2022 Major Hayden <major@redhat.com> - 1.5.0-1
- Update to 1.5.0

* Wed Mar 09 2022 Major Hayden <major@redhat.com> - 1.4.1-1
- Update to 1.4.1

* Wed Mar 09 2022 Major Hayden <major@mhtx.net> - 1.4.0-1
- Initial import (#2012991)
